Name:           transset-df
Version:        6
Release:        3%{?dist}
Summary:        Sets translucency properties
License:        MIT
Group:          System/X11

URL:            http://forchheimer.se/transset-df/
Source0:        http://forchheimer.se/transset-df/%{name}-%{version}.tar.gz
Patch1:         transset-df.cflags.patch

BuildRequires:  pkgconfig
BuildRequires:  libXrender-devel
BuildRequires:  libXcomposite-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXdamage-devel
BuildRequires:  gcc

%description
This is a modified version of xorg's original transset. It allows
setting and unsetting window's transparency by pressing a key without
bringing up the crosshair.

%prep
%setup -q

%patch1 -p1 -b.cflags

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
install -D -p -m 755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%doc README ChangeLog
%{_bindir}/%{name}

%changelog
* Sat May 11 2019 josef radinger <cheese@nosuchhost.net> - 6-3
- bump version
- remove defattr
- remoce clean-section
- use optflags

* Thu May 09 2019 josef radinger <cheese@nosuchhost.net> - 6-2
- use smp_flags macro


